Introduction
------------

libgourou is a free implementation of Adobe's ADEPT protocol used to add DRM on ePub/PDF files. It overcome the lacks of Adobe support for Linux platforms.



Dependencies
------------

For libgourou :

  * libpugixml

For utils :

  * libcurl
  * OpenSSL
  * libzip
  * libpugixml



Utils
-----

First, add libgourou.so to your LD_LIBRARY_PATH

    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PWD

You can optionaly specify your .adept directory

    export ADEPT_DIR=/home/XXX

Then, use utils as following :

You can import configuration from your eReader or create a new one with _utils/adept\_activate_ :

    ./utils/adept_activate -u <AdobeID USERNAME>

Then a _/home/<user>/.config/adept_ directory is created with all configuration file

To download an ePub/PDF :

    ./utils/acsmdownloader <ACSM_FILE>

To export your private key (for DeDRM software) :

    ./utils/acsmdownloader --export-private-key [-o adobekey_1.der]

To remove ADEPT DRM :

    ./utils/adept_remove <encryptedFile>

To list loaned books :

    ./utils/adept_loan_mgt [-l]

To return a loaned book :

    ./utils/adept_loan_mgt -r <id>


You can get utils full options description with -h or --help switch



Copyright
---------

Grégory Soutadé



License
-------

libgourou : LGPL v3 or later

utils     : BSD



Special thanks
--------------

  * _Jens_ for all test samples and utils testing
  * _Milian_ for debug & code
  * _Berwyn H_ for all test samples, feedbacks, patches and kind donation
